Foros del Web » Programando para Internet » PHP »

Saber que version de php se tiene instalada

Estas en el tema de Saber que version de php se tiene instalada en el foro de PHP en Foros del Web. Hola me gustaria saber como se puede saber la version de php que se tiene instalada?? Y dependiendo de la version, como de pueden dibujar ...
  #1 (permalink)  
Antiguo 16/05/2005, 16:20
 
Fecha de Ingreso: enero-2005
Mensajes: 50
Antigüedad: 12 años, 10 meses
Puntos: 0
Saber que version de php se tiene instalada

Hola me gustaria saber como se puede saber la version de php que se tiene instalada??
Y dependiendo de la version, como de pueden dibujar graficas en php??
muchas gracias
  #2 (permalink)  
Antiguo 16/05/2005, 16:21
Avatar de dwaks  
Fecha de Ingreso: agosto-2002
Ubicación: Panamá
Mensajes: 962
Antigüedad: 15 años, 4 meses
Puntos: 15
has un archivo y coloca esto:
<?php
phpinfo();
?>

Eso imprime la version y la configuracion php.
  #3 (permalink)  
Antiguo 16/05/2005, 16:28
 
Fecha de Ingreso: enero-2005
Mensajes: 50
Antigüedad: 12 años, 10 meses
Puntos: 0
Tengo la version 4.3.3, con esta version que librerias hay
pra dibujar graficos, que representen a consultas a una BD.
  #4 (permalink)  
Antiguo 16/05/2005, 16:29
Avatar de dwaks  
Fecha de Ingreso: agosto-2002
Ubicación: Panamá
Mensajes: 962
Antigüedad: 15 años, 4 meses
Puntos: 15
Bueno si usas la version de window debes ver que tiene activa ya que se viene completo.
  #5 (permalink)  
Antiguo 16/05/2005, 16:31
 
Fecha de Ingreso: enero-2005
Mensajes: 50
Antigüedad: 12 años, 10 meses
Puntos: 0
esa información donde se obtiene??
esto es lo que me sale en la informacion

System Windows NT MARCE 5.1 build 2600
Build Date Aug 24 2003 22:01:16
Server API Apache
Virtual Directory Support enabled
Configuration File (php.ini) Path d:\programas\easyphp1-7\apache\php.ini
PHP API 20020918
PHP Extension 20020429
Zend Extension 20021010
Debug Build no
Thread Safety enabled
Registered PHP Streams php, http, ftp, compress.zlib
  #6 (permalink)  
Antiguo 16/05/2005, 16:32
Avatar de dwaks  
Fecha de Ingreso: agosto-2002
Ubicación: Panamá
Mensajes: 962
Antigüedad: 15 años, 4 meses
Puntos: 15
Bueno deberas ir a http://www.php.net y ver que version de window tienen para que la descargues y la instale ella tendra detalles de los paquetes que se pueden habilitar.
  #7 (permalink)  
Antiguo 16/05/2005, 17:41
 
Fecha de Ingreso: enero-2003
Ubicación: Córdoba, Argentina
Mensajes: 1.047
Antigüedad: 14 años, 10 meses
Puntos: 10
php usa la libreria GD para el manejo de imagenes.
Fijate en el archivo que hiciste con:
<?php
phpinfo();
?>

si sale algo sobre GD, sino sale es que no lo tienes instalado. Y deberias bajarlo (es muy facil de instalar)
__________________
oohh... quisiera ser godines!!!
  #8 (permalink)  
Antiguo 17/05/2005, 07:54
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
Usando windows no tienes que bajar nada para instalar soporte de las extensiones GD: (www.php.net/gd)

Tan sólo "activarlas" en tu PHP.ini quitando el ; delante de: extension= php_gd2.dll .. asegurate que la directiva: extension_dir = .... apunte al directorio donde tienes esas php_xxx.dll (directorio extension/ de la instalación de PHP). Reinicias tu servidor y vuelves a ver phpinfo() para asegurarte que GD quedó instalado.

Un saludo,
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 05:00.